/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

body #bricks-structure {
top: var(--at-topbar-height);
}

/*---SITE FADE IN---*/
/* Prevent header from fading */
header, #brx-header {
  opacity: 1 !important;
  animation: none !important;
}

/* Content fade-in with 0.4s delay */
main, #brx-content {
  opacity: 0;
  animation: fadeIn 0.5s ease-in forwards;
  animation-delay: 0.6s;
}

/* The actual fade-in animation */
@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

/*---HEADER STYLES---*/
[data-header-style="Overlay"] {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 9999;
}

[data-header-style="Overlay"].mainheader {
	opacity: .85;
}